Subject: bug#70669: 30.0.50; tramp-archive.elc opened too many times

From: Michael Albinus <[email-masked]>
Date: Tue, 30 Apr 2024 13:33:38 +0200

Michael Albinus <[email-masked]> writes:

> Hello, I am getting DoSed with "Too many open files", and they all
> seem to be tramp-archive.elc
>
> I have  tramp-archive-enabled => nil
> (featurep 'tramp-gvfs) => nil
>
> The only "weird" buffer I have is a file in Zip-Archive mode.
>
> $ lsof -n | grep tramp-archive | wc -l => 5015
> of these 1003 entries are from the main emacs process
> and 1003 entries are from 4 pthread tasks each as below
>
> ```
> emacs     10143                 madhu   16r      REG               8,14     27080    1401209 /14/build/emacs/lisp/net/tramp-archive.elc
> emacs     10143 10264 pool-spaw    madhu   16r      REG               8,14    27080 1401209 /14/build/emacs/lisp/net/tramp-archive.elc
> emacs     10143 10265 gmain        madhu   16r      REG               8,14    27080 1401209 /14/build/emacs/lisp/net/tramp-archive.elc
> emacs     10143 10266 dconf\x20    madhu   16r      REG               8,14    27080 1401209 /14/build/emacs/lisp/net/tramp-archive.elc
> emacs     10143 10267 gdbus        madhu   16r      REG               8,14    27080 1401209 /14/build/emacs/lisp/net/tramp-archive.elc
> ```

This looks like a usual result for one Emacs instance. In my case, I get

--8<---------------cut here---------------start------------->8---
# lsof -n | grep tramp-archive
emacs     120407                          albinus  mem       REG              253,2       91864   17328088 /home/albinus/.emacs.d/eln-cache/30.0.50-d9979fcc/tramp-archive-abf83eef-1bdedebd.eln
emacs     120407 120412 pool-spaw         albinus  mem       REG              253,2       91864   17328088 /home/albinus/.emacs.d/eln-cache/30.0.50-d9979fcc/tramp-archive-abf83eef-1bdedebd.eln
emacs     120407 120413 gmain             albinus  mem       REG              253,2       91864   17328088 /home/albinus/.emacs.d/eln-cache/30.0.50-d9979fcc/tramp-archive-abf83eef-1bdedebd.eln
emacs     120407 120414 gdbus             albinus  mem       REG              253,2       91864   17328088 /home/albinus/.emacs.d/eln-cache/30.0.50-d9979fcc/tramp-archive-abf83eef-1bdedebd.eln
emacs     120407 120416 emacs             albinus  mem       REG              253,2       91864   17328088 /home/albinus/.emacs.d/eln-cache/30.0.50-d9979fcc/tramp-archive-abf83eef-1bdedebd.eln
emacs     120407 120417 dconf\x20         albinus  mem       REG              253,2       91864   17328088 /home/albinus/.emacs.d/eln-cache/30.0.50-d9979fcc/tramp-archive-abf83eef-1bdedebd.eln
--8<---------------cut here---------------end--------------->8---

Are all reported results for pid 10143 (the Emacs pid) in your case?

> Any ideas why this might be happening or if it is a solved problem,
> and if I can isolate myself from it?
>
> problems with dbus tend to be fatal, once you get into a situaion the
> design of dbus prevents recovery and forces the removal of all
> evidence which might have caused the attack...

What makes you think it is a D-Bus problem?

Best regards, Michael.